ALTER TABLE WORK_ORDER_TEMPLATE
ADD LENGTH_FROM NUMBER;

ALTER TABLE WORK_ORDER_TEMPLATE
ADD LENGTH_TO NUMBER;

ALTER TABLE WORK_ORDER_TEMPLATE
ADD PURPOSE_OF_USE VARCHAR2(3 CHAR);

DROP VIEW V_WORK_ORDER_TEMPLATE;

CREATE OR REPLACE VIEW V_WORK_ORDER_TEMPLATE AS (
  SELECT WO.ID, WO.NAME, WO.DATE_FROM, WO.DATE_TO, WO."COMMENT", WO.STATUS, WO.MATERIAL, WO.ATTACHMENT_REQUIRED, WO.ID_SERVICE_GROUP_TEMPLATE, 
  WO.NNLOCATION_ID, WO.FILTER, WO.OBJECT, WO.SPECIFIC, WO.ID_ASSET, WO.TYPE, WO.PURPOSE_OF_USE, WO.LENGTH_FROM, WO.LENGTH_TO,
  SGT.NAME AS SERVICE_GROUP_TEMPLATE_NAME
  FROM WORK_ORDER_TEMPLATE WO
  LEFT OUTER JOIN SERVICE_GROUP_TEMPLATE SGT ON SGT.ID = WO.ID_SERVICE_GROUP_TEMPLATE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2300, SYSDATE, '5.5', 2220, 'WO template')
;